﻿@model List<TelephoneVerificationViewModel>
@{
    ViewBag.Title = "احراز تلفن ثابت";
}

<div class="box box-info">
    <div class="box-header with-border">
        <h4 class="box-title">لیست احراز تلفن های ثابت</h4>
        <div class="btn-group">
            <a href="@Url.Action("Telephones")" class="btn btn-warning">مشاهده تلفن های در انتظار تایید</a>
            <a href="@Url.Action("RejectedTelephones")" class="btn btn-danger">مشاهده تلفن های تایید نشده</a>
        </div>
    </div>
    <div class="box-body pad">
        <div class="row">
            <div class="col-12">
                @Html.DataTables(
                        @<thead>
                             <tr>
                                 <th style="width:10px;">
                                     @Html.DisplayNameFor(model => model.GetObject().Id)
                                 </th>
                                 <th>
                                     @Html.DisplayNameFor(model => model.GetObject().TelephoneConfirmationStatus)
                                 </th>
                                 <th>
                                     @Html.DisplayNameFor(model => model.GetObject().IdentityVerificationStatus)
                                 </th>
                                 <th>
                                     @Html.DisplayNameFor(model => model.GetObject().FullName)
                                 </th>
                                 <th>
                                     @Html.DisplayNameFor(model => model.GetObject().Telephone)
                                 </th>
                                 <th>
                                     @Html.DisplayNameFor(model => model.GetObject().TelephoneConfirmDescription)
                                 </th>
                                 <th>
                                     <span>عملیات</span>
                                 </th>
                             </tr>
                        </thead>,
            @<tbody>
                @foreach (var mod in Model)
                 {
                 <tr id="row-@mod.Id">
                     <td>
                         @Html.DisplayFor(modelItem => mod.Id)
                     </td>
                     <td>
                         <span id="vf-display-@mod.Id">
                             @mod.TelephoneConfirmationStatus.ToDisplay()
                         </span>
                         <div id="vf-edit-@mod.Id" style="display:none;">
                             @Html.EnumDropDownListFor(modelItemm => mod.TelephoneConfirmationStatus, new { @class = "form-control", id = "VerificationStatus-" + mod.Id })
                             <div class="form-group">
                                 <label for="vf-desc-@mod.Id">توضیح</label>
                                 <textarea id="vf-desc-@mod.Id" name="vf-desc-@mod.Id" class="form-control"></textarea>
                             </div>
                         </div>
                     </td>
                     <td style="color:@mod.IdentityVerificationStatus.ToDisplay(DisplayProperty.GroupName)">
                         @mod.IdentityVerificationStatus.ToDisplay()
                     </td>
                     <td>
                         <a href="@Url.Action("Detail","User", new { Id = mod.Id })" target="_blank" title="@mod.Email | @mod.PhoneNumber">
                             @Html.DisplayFor(modelItem => mod.FullName)
                         </a>
                     </td>
                     <td>
                         @Html.DisplayFor(modelItem => mod.Telephone)
                     </td>
                     <td>
                         @Html.DisplayFor(modelItem => mod.TelephoneConfirmDescription)
                     </td>
                     <td>
                         <div class="btn-group">
                             @*@Html.ActionLink("مشاهده", "Identity", new { id = mod.Id }, new { @class = "btn btn-secondary" })*@
                             <a href="#" id="vf-change-@mod.Id" onclick="changeStatus(@mod.Id); return false;" class="btn btn-secondary">تغییر وضعیت</a>
                             <div style="display:none;" id="vf-editBtn-@mod.Id">
                                 <a href="#" class="btn btn-success" onclick="saveStatus(@mod.Id); return false;">ذخیره</a>
                                 <a href="#" class="btn btn-danger" onclick="cancelStatus(@mod.Id); return false;">لغو</a>
                             </div>
                         </div>
                     </td>
                 </tr>
                 }
            </tbody>).Order(0, DataTabledOrder.Desc)
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        function changeStatus(id) {
            $('#vf-change-' + id).hide();
            $('#vf-display-' + id).hide();
            $('#vf-edit-' + id).show();
            $('#vf-editBtn-' + id).show();
        }
        function saveStatus(id) {
            var status = $('#VerificationStatus-' + id).val();
            var description = $('#vf-desc-' + id).val();
            var postData = { id: id, status: status, description: description };
            doAjax(postData, "@Url.Action("VerifyTelephone")", function (data) {
                $('#row-' + id).remove();
            });
        }
        function cancelStatus(id) {
            $('#vf-change-' + id).show();
            $('#vf-display-' + id).show();
            $('#vf-edit-' + id).hide();
            $('#vf-editBtn-' + id).hide();
        }
    </script>
}